Bug 191389 - Review Request: oooqs2
Review Request: oooqs2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-11 11:28 EDT by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
desktop russian translation patch (795 bytes, patch)
2006-06-02 06:27 EDT, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2006-05-11 11:28:05 EDT
Spec URL: http://www.ausil.us/packages/oooqs2.spec
SRPM URL: http://www.ausil.us/packages/oooqs2-1.0-1.fc5.src.rpm
Description: 
OpenOffice.org Quickstarter 2 is a small systray applet for KDE.
It is designed to preload OOo in memory  for faster startup
Comment 1 Andy Shevchenko 2006-06-02 06:27:21 EDT
Created attachment 130394 [details]
desktop russian translation patch
Comment 2 Andy Shevchenko 2006-06-02 06:30:34 EDT
I've translate desktop entry to Russian. 
Please, include attached patch in the package.

P.S. It's not review, just addon.
Comment 3 Andy Shevchenko 2006-06-03 07:02:25 EDT
And just a note: why do you requires openoffice.org-* instead of only -core?
If I don't want to install the -writer (for example) and I should like to use 
oooqs2 with installed -calc only the oooqs2 installed me all monster office. 
It's no good solution as I think.
Comment 4 Dennis Gilmore 2006-06-03 10:45:54 EDT
The reason i require  all the components  of openoffice.org  was because  the 
applet provides shortcuts for each of the different components  and if someone  
wanted to start oowriter from the applet and it did not work  they would  be 
surprised
Comment 5 Michael J Knox 2006-07-21 05:06:13 EDT
Hey.. I will review this package.. 

----------------------------------------

Review for release 1:
* RPM name is OK
* Source oooqs2-1.0.tar.gz is the same as upstream
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRequires: desktop-file-utils is missing
* rpmlint: need to fix symlink warnings
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
* Scriptlets: missing "gtk-update-icon-cache" in %post (wiki: ScriptletSnippets)
* Scriptlets: missing "gtk-update-icon-cache" in %postun (wiki: ScriptletSnippets)


Notes:

You fix up the %post/%postun scriplets, the is a COPYING file and it should be
included in the %docs

rpmlint of oooqs2:
W: oooqs2 dangling-symlink /usr/share/doc/HTML/de/oooqs2/common
/usr/share/doc/HTML/de/common
W: oooqs2 symlink-should-be-relative /usr/share/doc/HTML/de/oooqs2/common
/usr/share/doc/HTML/de/common
W: oooqs2 dangling-symlink /usr/share/doc/HTML/en/oooqs2/common
/usr/share/doc/HTML/en/common
W: oooqs2 symlink-should-be-relative /usr/share/doc/HTML/en/oooqs2/common
/usr/share/doc/HTML/en/common
Comment 6 Michael J Knox 2006-07-22 15:51:04 EDT
As commented in the kmobiletools review, you will not need to add the gtk cruff
to your spec. 
Comment 7 Dennis Gilmore 2006-07-27 16:06:17 EDT
SPEC URL: http://ausil.us/packages/oooqs2.spec
SRPM URL: http://ausil.us/packages/oooqs2-1.0-2.fc5.src.rpm

added the COPYING File added the patch for Russian desktop file translation 

the dangling symlinks  cant fix   the files they point to are provided by 
kdelibs and the language packs this is extremely common in kde packages.  

the relative symlinks are fixed
Comment 8 Michael J Knox 2006-07-30 05:42:47 EDT
Looks good. APPROVED. Please remember to close this review request once
inmported into CVS and built. 
Comment 9 Kevin Fenzi 2006-09-02 16:49:35 EDT
This package was imported, but doesn't seem to have been built yet. 
Is there a issue with the build? 
Comment 10 Dennis Gilmore 2006-09-02 21:39:34 EDT
ppc build failed  and i havent had a chance to work out why yet.
Comment 11 Dennis Gilmore 2006-09-21 22:40:39 EDT
ok  built on all arches now :) 

Note You need to log in before you can comment on or make changes to this bug.